curl --request GET \
--url http://{defaultHost}/api/v2/platform/store_credit_categories \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "2",
"type": "store_credit_category",
"attributes": {
"name": "Exchange",
"created_at": "2022-11-08T19:35:33.588Z",
"updated_at": "2022-11-08T19:35:33.588Z"
}
},
{
"id": "3",
"type": "store_credit_category",
"attributes": {
"name": "Exchange",
"created_at": "2022-11-08T19:35:33.589Z",
"updated_at": "2022-11-08T19:35:33.589Z"
}
}
],
"meta": {
"count": 2,
"total_count": 2,
"total_pages": 1
},
"links": {
"self": "http://www.example.com/api/v2/platform/store_credit_categories?page=1&per_page=&filter[name_eq]=",
"next": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page=",
"prev": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page=",
"last": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page=",
"first": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page="
}
}Returns a list of Store Credit Categories
curl --request GET \
--url http://{defaultHost}/api/v2/platform/store_credit_categories \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "2",
"type": "store_credit_category",
"attributes": {
"name": "Exchange",
"created_at": "2022-11-08T19:35:33.588Z",
"updated_at": "2022-11-08T19:35:33.588Z"
}
},
{
"id": "3",
"type": "store_credit_category",
"attributes": {
"name": "Exchange",
"created_at": "2022-11-08T19:35:33.589Z",
"updated_at": "2022-11-08T19:35:33.589Z"
}
}
],
"meta": {
"count": 2,
"total_count": 2,
"total_pages": 1
},
"links": {
"self": "http://www.example.com/api/v2/platform/store_credit_categories?page=1&per_page=&filter[name_eq]=",
"next": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page=",
"prev": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page=",
"last": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page=",
"first": "http://www.example.com/api/v2/platform/store_credit_categories?filter%5Bname_eq%5D=&page=1&per_page="
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Records returned
Was this page helpful?